apiVersion: storage.k8s.io/v1
kind: StorageClass
metadata:
  name: {{ item.name }}
parameters:
  type: {{ item.type }}
  csi.storage.k8s.io/controller-expand-secret-name: {{ k8s_manila_csi_secret_name }}
  csi.storage.k8s.io/controller-expand-secret-namespace: {{ k8s_manila_csi_namespace }}
  csi.storage.k8s.io/node-publish-secret-name: {{ k8s_manila_csi_secret_name }}
  csi.storage.k8s.io/node-publish-secret-namespace: {{ k8s_manila_csi_namespace }}
  csi.storage.k8s.io/node-stage-secret-name: {{ k8s_manila_csi_secret_name }}
  csi.storage.k8s.io/node-stage-secret-namespace: {{ k8s_manila_csi_namespace }}
  csi.storage.k8s.io/provisioner-secret-name: {{ k8s_manila_csi_secret_name }}
  csi.storage.k8s.io/provisioner-secret-namespace: {{ k8s_manila_csi_namespace }}
allowVolumeExpansion: {{ item.allowVolumeExpansion | default(True) | lower }}
provisioner: {{ item.provisioner }}
reclaimPolicy: {{ item.reclaimPolicy | default("Retain")  }}
volumeBindingMode: {{ item.volumeBindingMode | default("Immediate") }}
